LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices


Reply
  Search this Thread
Old 11-28-2007, 10:05 AM   #1
us_ed
Member
 
Registered: Nov 2006
Posts: 45

Rep: Reputation: 15
Radeon 9000pro & fedora 8


Hi!
I have video adapter Radeon 9000pro.
Hi work well with fedora core 4 ,resolution 1600x1200.
I install fedora 8.
my screen not adjust with edge of monitor with resolution 1600x1200.
when resolution 1280x1024 ,all OK.
I update Fedora 8,update kernerl...f8,to kernerl...f8.686.
when i install "ati-driver-installer-8.28.8.run" i get:
"
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
Error:
kernel includes at /lib/modules/2.6.23.1-49.fc8/build/include do not match current kernel.
they are versioned as ""
instead of "2.6.23.1-49.fc8".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux
[Error] Kernel Module : Failed to compile kernel module - please consult readme.
"
uname -a
Linux eddesktop 2.6.23.1-49.fc8 #1 SMP Thu Nov 8 21:41:26 EST 2007 i686 i686 i386 GNU/Linux
 
Old 11-28-2007, 11:38 AM   #2
DarkSun84
Member
 
Registered: Apr 2004
Distribution: Fedora 8
Posts: 32

Rep: Reputation: 15
you need the package "kernel-headers" matching your kernel version
hope helps!
 
Old 11-30-2007, 11:26 AM   #3
us_ed
Member
 
Registered: Nov 2006
Posts: 45

Original Poster
Rep: Reputation: 15
Hi all!
Thank you DarkSun84!
I cannot change kernel2.6.23.1-49.fc8 to kernel2.6.23.1-49.fc8.686.
rpm -Uhv --replacepkgs --force kernel-2.6.23.1-49.fc8.i686.rpm not work.
but without errors.
all rpm(kernel...686,...headers...686,..devel...686) install good.
but again
uname -a
Linux eddesktop 2.6.23.1-49.fc8 #1 SMP Thu Nov 8 21:41:26 EST 2007 i686 i686 i386 GNU/Linux
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Dual monitors refuse to stop cloning with XFree86 4.3.99 and Radeon 9000Pro confusionhere Linux - Hardware 2 01-19-2005 02:34 PM
slackware 9.1 and ati radeon 9000pro configurtion problem imrel Slackware 0 05-22-2004 06:46 AM
Radeon 9000pro Mandrake 9 Duke3z Linux - Hardware 0 04-20-2003 03:54 PM
Radeon 9000pro and Mandrake 9.0 is it possible? Duke3z Linux - General 0 04-20-2003 03:28 PM
I HAVE ATI RADEON 9000pro,wich driver for debian? fritzz Linux - General 2 03-09-2003 02:53 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware

All times are GMT -5. The time now is 05:42 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration